# ElevenBuilder

To build a trimmed-down Windows 11 image.

ElevenBuilder is a flexible solution - one script fits all. Also, it is a steppingstone for an even more fleshed-out solution.

You need to set the execution policy to Unrestricted, so that you can run the script.
If you haven't done this before, make sure to run:

```powershell
Set-ExecutionPolicy unrestricted
```

as administrator in PowerShell before running the script, otherwise it will not run.

This is a script has been created to automate the build of a streamlined Windows 11 Image, similar to tiny11.
The main goal is to use only Microsoft utilities like DISM, and no utilities from external sources. 
The only executable included is oscdimg.exe, which is provided in the Windows ADK and is used to create bootable ISO images.
Also included is an unattended answer file, which is used to bypass the Microsoft Account on OOBE and to deploy the image with the /compact flag.

Instructions: (Needs to be rewritten - Consider as unstable/broken for the moment...)

- Download Windows 11 from the Microsoft website: Microsoft Windows 11 Download
- Mount the downloaded ISO image using Windows Explorer.
- Select the drive letter where the image is mounted (only the letter, no colon :)
- Select the SKU that you want the image to be based on.
- Sit back and relax :)

When the image is completed, you will see it in the folder where the script was extracted, with the name tiny11.iso

What has been removed:

- Clipchamp
- News
- Weather
- Xbox (although Xbox Identity provider is still here, so it should be possible to reinstall it with no issues)
- GetHelp
- GetStarted
- Office Hub
- Solitaire
- PeopleApp
- PowerAutomate
- ToDo
- Alarms
- Mail and Calendar
- Feedback Hub
- Maps
- Sound Recorder
- Your Phone
- Media Player
- QuickAssist
- Internet Explorer
- Tablet PC Math
- Microsoft Edge
- Microsoft OneDrive

You will be asked during image creation if you want to enable .NET 3.5 support!

### Known Issues:

Edge remnants: Although Edge is removed, some remnants exist in the Settings. However, the app itself is deleted. You can install any browser using WinGet (after updating the app using the Microsoft Store). If you want Edge, Copilot, and Web Search back, simply install Edge using:

```powershell
winget install edge
```

**Note:** You might need to update Winget before being able to install any apps via Microsoft Store.

Outlook and Dev Home might reappear after some time due to Windows Updates.

ARM64 error message: If using this script on ARM64, you might see an error while running the script. This happens because the ARM64 image doesn't have OneDriveSetup.exe included in the System32 folder.

### Features to be implemented:

- More ad suppression
- Improved language and architecture detection
- More flexibility in what to keep and what to delete
- Maybe a GUI???

### Disclaimer

Microsoft and there Products are registered trademarks.

It's open-source, so feel free to add or remove anything you want! Feedback is also much appreciated! :-)